apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    component: aardvarkmanager-ui
    environment: prod
    system: gitops
    team: calamari
  name: aardvarkmanager-ui-prod
  namespace: openshift-gitops
spec:
  destination:
    namespace: aardvark-manager-ui-prod
    server: https://kubernetes.default.svc
  project: calamari
  source:
    path: kustomize/overlays/prod
    repoURL: https://gitlab.com/arbetsformedlingen/devops/aardvark-manager-ui-infra.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=false
